Metacat - Story #6114

Include updated D1 indexing library
10/02/2013 09:23 AM - ben leinfelder

Status: Closed Start date: 10/01/2013

Priority: Normal Due date:

Assignee: % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 2.3.0 Spent time: 0.00 hour

Description

Subtasks:

Task # 6110: Use a new schema of dataone solr index so that the author last name can be... Resolved
History

#1 - 10/09/2013 04:02 PM - Jing Tao

After changing the version depency on the metacat-index pom.xml and some code change, the new version works.

There is an issue here:

how can we copy the new schema.xml to overwrite the existing /solr-home/conf/schema.xml|?

Here is my thought:

1. During the configuration (installation), the hash of the existing schema.xml will be calculated.

2. If the hash value indicates that the schema.xml wasn't changed, the installation process will overwrite the existing one silently. | guess the

possibility of the case will be more than 90%.
3. If the schema.xml was changed, we should show a message to ask the user manually merge the difference and put the new one into the place.

#2 - 10/10/2013 12:11 PM - ben leinfelder
- Target version changed from 2.2.1 to 2.3.0

#3 - 10/30/2013 08:49 AM - ben leinfelder

- Status changed from New to Closed

| believe this is complete.
